// Generated by LiveScript 1.5.0
/*
 * slush-xata
 * https://github.com/xanderiel/slush-xata
 *
 * Copyright (c) 2016, Alex Grafe
 * Licensed under the MIT license.
 */
(function(){
  var gulp, install, conflict, template, rename, gutil, _, inquirer, path, format, defaults;
  gulp = require('gulp');
  install = require('gulp-install');
  conflict = require('gulp-conflict');
  template = require('gulp-template');
  rename = require('gulp-rename');
  gutil = require('gulp-util');
  _ = require('underscore.string');
  inquirer = require('inquirer');
  path = require('path');
  gutil.log("(x) Beginning of slushfile.ls" + typeof path);
  format = function(it){
    return it.toLowerCase().replace(/\s/g, "");
  };
  defaults = function(){
    var workingDirName, homeDir, osUserName, configFile, user;
    gutil.log("(0) defaults starts. typeof path = " + typeof path);
    workingDirName = path.basename(process.cwd());
    gutil.log("(1) workingDirName = " + workingDirName);
    if (process.platform === "win32") {
      homeDir = process.env.USERPROFILE;
      osUserName = process.env.USERNAME || path.basename(homeDir).toLowerCase();
      gutil.log("(2) osUserName = " + osUserName);
    } else {
      homeDir = process.env.HOME || process.env.HOMEPATH;
      osUserName = homeDir && homeDir.split("/").pop() || "root";
    }
    configFile = path.join(homeDir, ".gitconfig");
    gutil.log("(3) configFile = " + configFile);
    user = {};
    if (require("fs").existsSync(configFile)) {
      user = require("iniparser").parseSync(configFile).user;
    }
    return {
      appName: workingDirName,
      userName: osUserName || format(user.name || ""),
      authorName: user.name || "",
      authorEmail: user.email || ""
    };
  }();
  gulp.task("default", function(done){
    var prompts;
    prompts = [
      {
        message: "What is the human-readable name of your project?",
        name: "appNameReadable",
        'default': defaults.appName
      }, {
        message: "What is the slugified name of your project?",
        name: "appName",
        'default': defaults.appName
      }, {
        message: "What is the description?",
        name: "appDescription",
        'default': "Totally awesome app."
      }, {
        message: "What is the version of your project?",
        name: "appVersion",
        'default': "0.0.1"
      }, {
        message: "What is the author name?",
        name: "authorName",
        'default': defaults.authorName
      }, {
        message: "What is the author email?",
        name: "authorEmail",
        'default': defaults.authorEmail
      }, {
        message: "What is your github username?",
        name: "githubUserName",
        'default': defaults.userName
      }, {
        message: "Which scope to use on github for this project?",
        name: "githubScope",
        'default': defaults.userName
      }, {
        message: "Are you ready to create the project now?",
        name: "moveon",
        type: "confirm"
      }
    ];
    return inquirer.prompt(prompts, function(answers){
      if (!answers.moveon) {
        return done();
      } else {
        answers.appNameSlug = _.slugify(answers.appName);
        return gulp.src(__dirname + "/templates/**").pipe(template(answers)).pipe(rename(function(file){
          if (file.basename[0] === "_") {
            return file.basename = "." + file.basename.slice(1);
          }
        })).pipe(conflict("./")).pipe(gulp.dest("./")).pipe(install()).on("end", function(){
          return done();
        });
      }
    });
  });
}).call(this);
